# H225_CircuitIdentifier Class Reference

`#include <h225.h>`

Inheritance diagram for H225_CircuitIdentifier:

List of all members.

## Public Types

enum | OptionalFields { e_cic, e_group, e_carrier }

## Public Member Functions

| H225_CircuitIdentifier (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_CicInfo | m_cic
H225_GroupID | m_group
H225_CarrierInfo | m_carrier

## Member Enumeration Documentation

enum H225_CircuitIdentifier::OptionalFields

Enumerator:

  e_cic |
  e_group |
  e_carrier |

## Constructor & Destructor Documentation

H225_CircuitIdentifier::H225_CircuitIdentifier | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_CircuitIdentifier::GetDataLength | ( |  | ) | const

PBoolean H225_CircuitIdentifier::Decode | ( | PASN_Stream & | strm | ) |

void H225_CircuitIdentifier::Encode | ( | PASN_Stream & | strm | ) | const

void H225_CircuitIdentifier::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_CircuitIdentifier::Compare | ( | const PObject & | obj | ) | const

PObject* H225_CircuitIdentifier::Clone | ( |  | ) | const

## Member Data Documentation

H225_CicInfo H225_CircuitIdentifier::m_cic

H225_GroupID H225_CircuitIdentifier::m_group

H225_CarrierInfo H225_CircuitIdentifier::m_carrier

The documentation for this class was generated from the following file:

- h225.h